package ru.yandex.webmaster3.storage.sitemap.service.exception;


import ru.yandex.webmaster3.storage.sitemap.service.model.AnalyzeSitemapErrorType;

/**
 * @author: ishalaru
 * DATE: 14.05.2019
 */
public class AnalysisSitemapActionException extends RuntimeException {

    private final AnalyzeSitemapErrorType error;

    public AnalysisSitemapActionException(AnalyzeSitemapErrorType error) {
        this.error = error;
    }

    public AnalyzeSitemapErrorType getError() {
        return error;
    }
}
